## cx3110x-module-src 0.9.34.1-2

=== Makefile ===
.PHONY: default modules clean

default:
	@echo ""
	@echo " Supported make targets: modules clean"
	@echo ""


modules:
	$(MAKE) -C src/ modules CONFIG_CX3110X_PROD=m
	rm -f src/Modules.symvers
	$(MAKE) -C src/ modules CONFIG_CX3110X_STA=m

modules_install:
	$(MAKE) -C src/ modules_install


clean:
	rm -f *~
	$(MAKE) -C src/ clean
