=== src/Makefile ===
ifeq ($(KERNELRELEASE),)
STRIP = $(CROSS_COMPILE)strip
PWD := $(shell pwd)

.PHONY: modules clean

modules_install:
	$(MAKE) -C $(KERNEL_SRC_DIR) SUBDIRS=$(PWD) $@

modules:
	$(MAKE) -C $(KERNEL_SRC_DIR) SUBDIRS=$(PWD) $@
	$(STRIP) -g *.ko

clean:
	rm -Rf *.o *.ko *~ core* .dep* .*.d .*.cmd *.mod.c *.a *.s .*.flags .tmp_* *.symvers

else

include $(PWD)/Makefile.k26

endif # ifeq ($(KERNELRELEASE),)
