=== debian/changelog ===
cx3110x-module-src (0.9.34.1-2) unstable; urgency=low

  * Fixed branching 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 30 Apr 2007 13:24:59 +0300

cx3110x-module-src (0.9.34.1-1) unstable; urgency=low

  * Version branching for osso1.0

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 27 Apr 2007 18:10:13 +0300

cx3110x-module-src (0.9.34-2) unstable; urgency=low

  * week200717-1 release 
  * Remove UMAC

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 27 Apr 2007 16:43:47 +0300

cx3110x-module-src (0.9.34-1) unstable; urgency=low

  * week200715-1 release
  * Use correct work struct in sm_drv_update_stats()
  * Length of SSID in SIOCSIWESSID does not include NULL anymore

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 10 Apr 2007 20:48:27 +0300

cx3110x-module-src (0.9.33-1) unstable; urgency=low

  * week200714-1 release
  * Fix build with the new kernel

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  3 Apr 2007 16:56:06 +0300

cx3110x-module-src (0.9.32-1) unstable; urgency=low

  * week200713-1 release
  * Update UMAC to 2.12.0.0.a.9.14-1

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 27 Mar 2007 15:13:25 +0300

cx3110x-module-src (0.9.31-1) unstable; urgency=low

  * week200707-1 release
  * Implement U-APSD setting for user space
  * Fix test in sm_drv_set_ps()
  * Copy sk_buff.priority to s_sm_frame.priority

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Feb 2007 15:33:45 +0200

cx3110x-module-src (0.9.30-1) unstable; urgency=low

  * week200705-1 release
  * Set DOT11_OID_BSSITERATE always after BSS iteration
  * Add 30 ms delay before active scanning

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 31 Jan 2007 14:36:33 +0200

cx3110x-module-src (0.9.29-1) unstable; urgency=low

  * week200701-1 release
  * Update umac to 2.12.0.0.a.9.10-2
  * Make it easier to change PSM settings
  * Discard zero length bytes from the WLAN chip
  * Take sm_lock before calling prism_softmac_create()
  * Take sm_lock before shutting down UMAC
  * Update UMAC to 2.12.0.0.a.9.12-1
  * Ratelimit the TX dropped message

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  3 Jan 2007 16:10:39 +0200

cx3110x-module-src (0.9.28-1) unstable; urgency=low

  * week200649-2 release
  * Revert "Use usec converters provided by jiffies.h" 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  7 Dec 2006 14:51:33 +0200

cx3110x-module-src (0.9.27-1) unstable; urgency=low

  * week200648-1 release
  * Refactored sm_drv_spi_wq()
  * Only return from one place in sm_drv_spi_wq()
  * Do not disable host interrupts
  * Wakeup target before fething the frame
  * Add BH debug messages
  * Add DBG_TIMER messages
  * Use usec converters provided by jiffies.h
  * Update UMAC to 2.12.0.0.a.9.10-1
 
 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 29 Nov 2006 17:25:05 +0200

cx3110x-module-src (0.9.26-1) unstable; urgency=low

  * week200645-2 release
  * Remove references to word "RX34" and change that with product name

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 12:11:55 +0200

cx3110x-module-src (0.9.25-1) unstable; urgency=low

  * week200643-1 release
  * umac update
  * Reset chip in workqueue after scan timer has expired
  * Adding PDR1907 support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 25 Oct 2006 16:02:43 +0300

cx3110x-module-src (0.9.24-1) unstable; urgency=low

  * week200641-2 release
  * words cleanup

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 14:21:40 +0300

cx3110x-module-src (0.9.23-1) unstable; urgency=low

  * week200641-1 release
  * Ack Ready and WriteReady LMAC interrupts

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 16:51:33 +0300

cx3110x-module-src (0.9.22-1) unstable; urgency=low

  * week200640-1 release
  * Make cx3110x CROSS_COMPILE option to work properly
  * Fix memory leaks found by kmemleak

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  4 Oct 2006 16:58:49 +0300

cx3110x-module-src (0.9.21-1) unstable; urgency=low

  * week200639-3 release
  * Enable suspend/resume functionality 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 29 Sep 2006 18:12:10 +0300

cx3110x-module-src (0.9.20-1) unstable; urgency=low

  * week200639-1 release
  * Take sm_lock always when calling SoftMAC
  * Add DEVSTATE_DEAD
  * Patched UMAC 2.12.0.0.a.9.10
  * sm_lock fixes to rx-34
  * Updated UMAC to 2.12.0.0.a.9.10
  * With dyntick and PM, we need a slightly bigger delay when resetting the target.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 27 Sep 2006 15:50:31 +0300

cx3110x-module-src (0.9.19-1) unstable; urgency=low

  * week200635-2 release
  * We must set the IRQ type after requesting the IRQ itself.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 31 Aug 2006 15:00:14 +0300

cx3110x-module-src (0.9.18-1) unstable; urgency=low

  * week200634-1 release
  * We can only include linux/irq.h with very recent kernels, e.g linux-g.
  * Compilation failed because of the new IRQ framework.
  * Support both OMaP_DMA_TOUT_IRQ and OMAP1_DMA_TOUT_IRQ

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 23 Aug 2006 18:22:15 +0300

cx3110x-module-src (0.9.17-1) unstable; urgency=low

  * week200630-1 release
  * Change the SPI_MODE setting to the proper one for linux-g
  * Whenever we are in IBSS mode, we use long preamble.
    This is the only way to work with all the broken WiFI test bed cards.
    Fixes: NB#34964
  * New UMAC release.
    Fixes: NB#29817, NB#31489, NB#34003
  * We don't toggle background scanning when in IBSS mode.
    Fixes: NB#33581, NB#33894

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 31 Jul 2006 11:48:39 +0300

cx3110x-module-src (0.9.16-1) unstable; urgency=low

  * week200626-1 release
  * WLAN DMA support
  * Adding a longer (2 seconds) delay for READY and DMA READY timeout

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 28 Jun 2006 17:02:33 +0300


