=== debian/control ===
Source: cx3110x-module-src
Section: devel
Priority: optional
Maintainer: Ed Bartosh <eduard.bartosh@nokia.com>
Build-Depends: debhelper (>=3.0)
Standards-Version: 3.6.2.1

Package: cx3110x-module-src
Architecture: all
Description: CX3110x driver module source
 This package provides the source code for the CX3110x kernel module.

Package: cx3110x-headers
Architecture: all
Description: CX3110x driver-related headers
