=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

NAME = cx3110x
VERSION = $(shell head -1 $(CURDIR)/debian/changelog | sed "s/$(NAME)-module-src (\([0-9.]\+\)-.*) .*/\1/")

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#find ./ -name .git -type d |xargs rm -rf
	make clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nolo-<version>
	install -p -d -o root -g root -m 755 debian/$(NAME)-module-src/usr/src/modules/$(NAME)/
	cp -a src/ debian/$(NAME)-module-src/usr/src/modules/$(NAME)/
	cp -a Makefile debian/$(NAME)-module-src/usr/src/modules/$(NAME)/
	install -o root -g root -m 644  src/sm_drv_wpa.h debian/$(NAME)-headers/usr/src/$(NAME)-headers/include/linux/
	cd debian/$(NAME)-module-src/usr/src/modules/ && \
	tar --bzip2 -cf $(NAME)-$(VERSION).tar.bz2 $(NAME) &&\
	rm -rf $(NAME)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
