## cx3110x-module-src 2.0.15-1

=== debian/changelog ===
cx3110x-module-src (2.0.15-1) unstable; urgency=low

  * week200745-1 release. Fixes: NB#73246
  * Add msleep(1) to sm_drv_spi_wakeup()
  * cx3110x version 2.0.15

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  6 Nov 2007 16:41:47 +0200

cx3110x-module-src (2.0.14-2) unstable; urgency=low

  * week200739-1 release
  * Decrease sleep in MTUM initilisation. Fixes: NB#69455 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 25 Sep 2007 19:03:15 +0300

cx3110x-module-src (2.0.14-1) unstable; urgency=low

  * week200737-1 release
  * Put the device in to sleep if there's an error either with RX or TX
  * cx3110x version 2.0.13
  * Change background scan interval to 60 seconds
  * Remove wpa_scan and gen_ie from WE private interface
  * Add SM_DRV_PRIV_SET_DMA_THRES and SM_DRV_PRIV_GET_DMA_THRES
  * Add set_scanint and get_scanint WE privs
  * Add set_scanthres and set_scanthres WE privs
  * Move scan WE priv defines to sm_drv_wpa.h
  * cx3110x version 2.0.14

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 11 Sep 2007 17:45:34 +0300

cx3110x-module-src (2.0.12-1) unstable; urgency=low

  * week200736-1 release
  * Handle interrupts in a loop
  * cx3110x version 2.0.12

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 04 Sep 2007 19:32:08 +0300

cx3110x-module-src (2.0.10-1) unstable; urgency=low

  * week200734-1 release
  * Use default TX and RX lifetimes
  * cx3110x version 2.0.10

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 22 Aug 2007 17:07:24 +0300

cx3110x-module-src (2.0.9-1) unstable; urgency=low

  * week200732-2 release
  * Fix DMA threshold logic with value zero
  * Add a timeout for firmware boot
  * Change wording in a warning
  * cx3110x version 2.0.9

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 10 Aug 2007 15:38:44 +0300

cx3110x-module-src (2.0.8-1) unstable; urgency=low

  * week200730-1 release
  * Move MAX_PROBE_LENGTH to sm_drv.h
  * Increate MAX_PROBE_LENGTH to 512 bytes. Fixes: NB#61305
  * Check kmalloc result in sm_drv_get_range()
  * cx3110x version 2.0.8 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 24 Jul 2007 21:49:11 +0300

cx3110x-module-src (2.0.7-1) unstable; urgency=low

  * week200724-1 release. Fixes: NB#53794
  * cx3110x version 2.0.7
  * Run update_stats() in process context
  * Create cx3110x thread for workqueue
  * Use cx3110x_mt prefix in cx3110x_mt module
  * Show beacond interval and DTIM of the AP associated to
  * Use default TX and RX lifetimes
  * Count initial_packets correctly
  * Revert "Use default TX and RX lifetimes"

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 13 Jun 2007 15:28:01 +0300

cx3110x-module-src (2.0.4-1) unstable; urgency=low

  * week200723-2 release. Fixes: NB#56521
  * Remove duplicate dev_attr_psm sysfs file creation
  * Fix locking in sm_drv_get_wireless_stats() when softmac is not initialized
  * cx3110x version 2.0.4

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  6 Jun 2007 14:19:56 +0300

cx3110x-module-src (2.0.2-1) unstable; urgency=low

  * week200723-1 release. Fixes: NB#51967
  * cx3110x_[error,warning,info,debug] macros
  * Change all printks to cx3110x_ macros
  * Replace DBG_ALL logs with cx3110x_ macros
  * Return EAGAIN if scanning is still running
  * Show SSID when not associated
  * Check sysfs file creation errors
  * Enable -Werror
  * Refactor handle_sm_trap()
  * Ignore DOT11_OID_PREAUTH traps
  * Correct debug messages in handle_sm_trap()
  * Remove SPI_DELAY_THRESHOLD workaround
  * Remove host interface (hif) cruft
  * Refactor handle_sm_callback()
  * Set dev->last_rx
  * Check kmalloc() result in mask_trap()
  * Update license text based on lates template from Legal
  * Change contact person to Kalle Valo
  * Remove WLAN_POWER_UP() and _DOWN() macros
  * Remove check for old MODVERSIONS macro
  * Change lines to wrap at 80
  * Remove unused defines
  * Add CX3110X_DMA_THRESHOLD
  * Refactor link_changed()
  * Add associated and disassociated log messages
  * Clean up DEAUTHENTICATE trap message
  * Change TX failed message to DBG_IC level
  * cx3110x version 2.0.0
  * Change DMA threshold to dynamic
  * Clean up essid length handling in sm_drv_set_scan()
  * Fix SSID length in scan results
  * Rename net_local.sm_lock to netlock.lock
  * Take lock whenever accessing net_local
  * Print libumac and lmac versions
  * cx3110x version 2.0.1
  * Revert "Remove SPI_DELAY_THRESHOLD workaround"
  * cx3110x version 2.0.2

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Jun 2007 16:55:34 +0300

cx3110x-module-src (0.9.35-3) unstable; urgency=low

  * week200719-4 release
  * CX3110X: Properly set net_device's parent device
  * Set ladder workaround for MTUM

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 11 May 2007 15:30:23 +0300

cx3110x-module-src (0.9.35-2) unstable; urgency=low

  * Fixed changelog. 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Apr 2007 18:16:04 +0300

cx3110x-module-src (0.9.35-1) unstable; urgency=low

  * Remove UMAC
  * Fix configuration of the SPI bus speed. Fixes: NB#53992

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 16 Apr 2007 18:17:35 +0300
